Personnel
List personnel related events by LinkedIn URL
GET
/
external
/
personnel
/
events
/
by-linkedin
List personnel related events by LinkedIn URL
curl --request GET \
--url https://platform.lensmor.com/external/personnel/events/by-linkedin \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.lensmor.com/external/personnel/events/by-linkedin"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.lensmor.com/external/personnel/events/by-linkedin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"personnel": {
"id": "<string>",
"fullName": "<string>",
"contactUnlockStatus": "<string>",
"title": "<string>",
"department": "<string>",
"seniorityLevel": "<string>",
"linkedinUrl": "<string>",
"companyName": "<string>",
"sourceType": "<string>",
"email": "<string>",
"linkedinActivity": {
"activityLevel": "<string>",
"isActive": true,
"latestPostAt": "<string>"
},
"linkedinActivityStatus": "<string>"
},
"events": {
"items": [
{
"id": "<string>",
"eventId": "<string>",
"name": "<string>",
"nickname": "<string>",
"description": "<string>",
"url": "<string>",
"dateStart": "2023-12-25",
"dateEnd": "2023-12-25",
"venue": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"exhibitorCount": 123,
"image": "<string>",
"dataSource": "<string>"
}
],
"total": 123,
"page": 123,
"pageSize": 123,
"totalPages": 123,
"hasMore": true
}
}{
"code": 123,
"message": "<string>",
"errorKey": "<string>",
"traceId": "<string>"
}{
"code": 123,
"message": "<string>",
"errorKey": "<string>",
"traceId": "<string>"
}{
"code": 123,
"message": "<string>",
"errorKey": "<string>",
"traceId": "<string>"
}Authorizations
Send the full Business API key from Settings -> API Keys, for example Authorization: Bearer sk_your_api_key.
Query Parameters
Maximum string length:
500Required range:
x >= 1Required range:
1 <= x <= 100⌘I
List personnel related events by LinkedIn URL
